Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jdo.annotations
Annotation Type PersistenceCapable

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface PersistenceCapable

Annotation for whether the class or interface is persistence-capable.

Since:
  2.1
Version:
  2.1

Optional Element Summary
`java.lang.String` | `cacheable` Whether this class is cacheable in a Level2 cache.
`java.lang.String` | `catalog` Catalog to use for persisting this class or interface.
`java.lang.String` | `detachable` Whether this class or interface is detachable.
`java.lang.String` | `embeddedOnly` Whether objects of this class or interface can only be embedded.
`Extension[]` | `extensions` Any vendor extensions.
`IdentityType` | `identityType` Type of identity for this class or interface.
`Persistent[]` | `members` Member declarations.
`java.lang.Class` | `objectIdClass` Primary key class when using application identity and using own PK.
`java.lang.String` | `requiresExtent` Whether this class or interface manages an extent.
`java.lang.String` | `schema` Schema to use for persisting this class or interface.
`java.lang.String` | `serializeRead` Whether objects of this type should, by default, be locked when read.
`java.lang.String` | `table` Table to use for persisting this class or interface.

### members

    public abstract Persistent[] members

  Member declarations. Annotations for persistent members of this class or interface can be specifed either here or on each member. Annotations for inherited members can only be specified here.

  Returns:
    member declarations
  Default:
    {}

### table

    public abstract java.lang.String table

  Table to use for persisting this class or interface.

  Default:
    ""

### catalog

    public abstract java.lang.String catalog

  Catalog to use for persisting this class or interface.

  Default:
    ""

### schema

    public abstract java.lang.String schema

  Schema to use for persisting this class or interface.

  Default:
    ""

### requiresExtent

    public abstract java.lang.String requiresExtent

  Whether this class or interface manages an extent.

  Default:
    ""

### embeddedOnly

    public abstract java.lang.String embeddedOnly

  Whether objects of this class or interface can only be embedded.

  Default:
    ""

### detachable

    public abstract java.lang.String detachable

  Whether this class or interface is detachable.

  Default:
    ""

### identityType

    public abstract IdentityType identityType

  Type of identity for this class or interface.

  Default:
    javax.jdo.annotations.IdentityType.UNSPECIFIED

### objectIdClass

    public abstract java.lang.Class objectIdClass

  Primary key class when using application identity and using own PK.

  Default:
    void.class

### cacheable

    public abstract java.lang.String cacheable

  Whether this class is cacheable in a Level2 cache.

  Since:
    2.2
  Default:
    "true"

### serializeRead

    public abstract java.lang.String serializeRead

  Whether objects of this type should, by default, be locked when read.

  Since:
    3.0
  Default:
    "false"

### extensions

    public abstract Extension[] extensions

  Any vendor extensions.

  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.